ApiCredential requirements
Connect to server
Submit user credentials to connect to a server. Stores credentials encrypted and associated with the user's account.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
server_id*string
Format
uuidCookie Parameters
access_token?|
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/connect" \ -H "Content-Type: application/json" \ -d '{ "credentials": { "property1": "string", "property2": "string" } }'{
"status": "string",
"credential_count": 0,
"server_id": "string",
"server_name": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}